## ViennaRNA-2.4.15.tar.gz

=== doc/latex/Makefile ===
LATEX_CMD=/usr/bin/pdflatex-interaction=nonstopmode-halt-on-error

all: refman.pdf

pdf: refman.pdf

refman.pdf: clean refman.tex
	$(LATEX_CMD) refman
	/usr/bin/makeindex refman.idx
	bibtex refman
	$(LATEX_CMD) refman
	$(LATEX_CMD) refman
	latex_count=8 ; \
	while egrep -s 'Rerun (LaTeX|to get cross-references right)' refman.log && [ $$latex_count -gt 0 ] ;\
	    do \
	      echo "Rerunning latex...." ;\
	      $(LATEX_CMD) refman ;\
	      latex_count=`expr $$latex_count - 1` ;\
	    done
	/usr/bin/makeindex refman.idx
	$(LATEX_CMD) refman


clean:
	rm -f *.ps *.dvi *.aux *.toc *.idx *.ind *.ilg *.log *.out *.brf *.blg *.bbl refman.pdf

=== src/RNAforester/g2-0.72/Makefile ===
#
#
# Makefile for g2 library
#
#

G2_VERSION = 0.72

#
# g2 installation directories
#
LIBDIR = /usr/local/lib
INCDIR = /usr/local/include


#LIBDIR = $(HOME)/local/lib
#INCDIR = $(HOME)/local/include

#
#------------------------ do not edit ------------------------
#
SHELL = /bin/sh

CC           = gcc
CFLAGS       = -I./src -g -O2  -I/usr/local/include -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_XDBE=1 -DDO_GD=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1
INSTALL      = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
FIND         = find
MAKEDEPEND   = :
AR           = ar
ARFLAGS      = cr
RANLIB       = ranlib
LD           = gcc
LDFLAGS      = 


BASE_DIR = ./src
BASE_SRC = $(BASE_DIR)/g2_device.c         $(BASE_DIR)/g2_ui_control.c \
           $(BASE_DIR)/g2_util.c           $(BASE_DIR)/g2_fif.c \
           $(BASE_DIR)/g2_virtual_device.c $(BASE_DIR)/g2_physical_device.c \
           $(BASE_DIR)/g2_graphic_pd.c     $(BASE_DIR)/g2_control_pd.c \
           $(BASE_DIR)/g2_ui_graphic.c     $(BASE_DIR)/g2_ui_virtual_device.c \
           $(BASE_DIR)/g2_ui_device.c      $(BASE_DIR)/g2_splines.c
BASE_INS = $(BASE_DIR)/g2.h


PS_DIR = ./src/PS
PS_SRC = $(PS_DIR)/g2_PS.c
PS_INS = $(PS_DIR)/g2_PS.h

FIG_DIR = ./src/FIG
FIG_SRC = $(FIG_DIR)/g2_FIG.c
FIG_INS = $(FIG_DIR)/g2_FIG.h

X11_DIR = ./src/X11
X11_SRC = $(X11_DIR)/g2_X11.c
X11_INS = $(X11_DIR)/g2_X11.h

#WIN32_DIR = ./src/WIN32
#WIN32_SRC = $(WIN32_DIR)/g2_win32.c $(WIN32_DIR)/g2_win32_thread.c 
#WIN32_INS = $(WIN32_DIR)/g2_win32.h

GD_DIR = ./src/GD
GD_SRC = $(GD_DIR)/g2_gd.c
GD_INS = $(GD_DIR)/g2_gd.h


SRC = $(BASE_SRC) $(PS_SRC) $(FIG_SRC) $(X11_SRC) $(WIN32_SRC) $(GD_SRC)
OBJ = $(SRC:.c=.o)

INS =  $(BASE_INS) $(PS_INS) $(FIG_INS) $(X11_INS) $(WIN32_INS) $(GD_INS)

#
# define some phony targets
#
.PHONY: all shared clean doc release demo

#
# major rule
#
.c.o:  
	$(CC) $(CFLAGS) $(INCLUDES) -c $< -o $@


all: libg2.a
	test -d ./include || mkdir ./include
	cp $(INS) ./include/

shared: libg2.so.0.$(G2_VERSION)
	@echo


libg2.a: $(OBJ)
	$(AR) $(ARFLAGS) libg2.a $(OBJ)
	test ! -n "$(RANLIB)" || $(RANLIB) $@

libg2.so.0.$(G2_VERSION): $(OBJ)
	ld -shared -soname libg2.so.0 -o $@ $(OBJ) 

libg2.so: libg2.so.0.$(G2_VERSION)
	ln -f -s libg2.so.0.$(G2_VERSION) $@

install: libg2.a
	test -d $(DESTDIR)/$(LIBDIR) || mkdir -p $(DESTDIR)/$(LIBDIR)
	test -d $(DESTDIR)/$(INCDIR) || mkdir -p $(DESTDIR)/$(INCDIR)
	$(INSTALL_DATA) libg2.a $(DESTDIR)/$(LIBDIR)
	for IFILE in $(INS); do \
		$(INSTALL_DATA) $$IFILE  $(DESTDIR)/$(INCDIR); \
	done

uninstall:  uninstall-libg2 uninstall-inc

uninstall-libg2:
	test -n $(DESTDIR)/$(LIBDIR)/libg2.a || exit 0; \
	rm -f $(DESTDIR)/$(LIBDIR)/libg2.a

uninstall-inc:
	test -d $(DESTDIR)/$(INCDIR) || exit 0; \
	for IFILE in $(INS); do \
		rm -f $(DESTDIR)/$(INCDIR)/`printf "%s" $$IFILE | sed 's/.*\///'`; \
	done
release: clean doc
	cp ./doc/latex/refman.ps  ./doc/g2_refman.ps
	cp ./doc/latex/refman.pdf ./doc/g2_refman.pdf
	rm -r ./doc/latex

doc:
	(cd ./doc ; doxygen Doxyfile)
	(cd ./doc/latex ; make ps ; make pdf)


clean:
	-(cd ./demo ; $(MAKE) clean)
	-(cd ./g2_python ; make clean)
	-rm -f $(OBJ)
	-rm -f libg2.a config.cache config.log Makefile.bak config.status
	-rm -f ./include/*.h
	-$(FIND) . -name "*~" -exec rm -f {} \;
	-(cd ./g2_perl ; $(MAKE) clean)
	-rm -f ./g2_perl/test.ps
	-rm -f ./g2_perl/test.png
	-rm -f ./g2_perl/test.jpg
	-rm -f ./g2_perl/test.fig
	-rm -f ./g2_perl/Makefile.old
	-rm -f ./libg2.so.0.$(G2_VERSION)
	-rm -f libg2.$(G2_VERSION).a
	-rm -f a.out
	-rm -fr doc/html/ doc/latex/ doc/g2_refman.ps doc/g2_refman.pdf

distclean:  clean

maintainer-clean:	clean


demo:	libg2.a
	(cd ./demo ; make)

depend:
	$(MAKEDEPEND) -- $(CFLAGS) $(INCLUDES) -- $(SRC)
	@echo
	@echo "Run 'make' to build g2 library."
	@echo
distdir: clean
	cp -r * $(distdir)

check:


# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== packaging/debian/changelog ===
viennarna (2.4.15-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.4.15

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Tue, 18 Aug 2020 20:00:00 +0100

viennarna (2.4.14-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.4.14

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Tue, 13 Aug 2019 12:00:00 +0100

viennarna (2.4.13-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.4.13

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Thu, 30 May 2019 10:00:00 +0100

viennarna (2.4.12-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.4.12

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Tue, 16 Apr 2019 10:00:00 +0100

viennarna (2.4.11-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.4.11

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Mon, 17 Dec 2018 10:00:00 +0100

viennarna (2.4.10-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.4.10

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Wed, 26 Sep 2018 14:00:00 +0100

viennarna (2.4.9-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.4.9

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Wed, 11 Jul 2018 10:00:00 +0100

viennarna (2.4.8-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.4.8

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Fri, 22 Jun 2018 22:00:00 +0100

viennarna (2.4.7-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.4.7

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Thu, 14 Jun 2018 10:00:00 +0100

viennarna (2.4.6-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.4.6

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Thu, 19 Apr 2018 10:00:00 +0100

viennarna (2.4.5-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.4.5

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Tue, 17 Apr 2018 14:00:00 +0100

viennarna (2.4.4-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.4.4

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Tue, 06 Mar 2018 12:00:00 +0100

viennarna (2.4.3-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.4.3

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Mon, 13 Nov 2017 12:00:00 +0100

viennarna (2.4.2-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.4.2

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Fri, 13 Oct 2017 12:00:00 +0100

viennarna (2.4.1-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.4.1

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Wed, 23 Aug 2017 11:00:00 +0100

viennarna (2.4.0-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.4.0

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Tue, 01 Aug 2017 13:00:00 +0100

viennarna (2.3.5-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.3.5

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Fri, 14 Apr 2017 10:00:00 +0100

viennarna (2.3.4-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.3.4

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Fri, 10 Mar 2017 10:00:00 +0100

viennarna (2.3.3-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.3.3

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Wed, 24 Jan 2017 20:00:00 +0100

viennarna (2.3.2-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.3.2

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Wed, 18 Nov 2016 13:00:00 +0100

viennarna (2.3.1-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.3.1

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Tue, 15 Nov 2016 11:00:00 +0100

viennarna (2.3.0-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.3.0

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Tue, 01 Nov 2016 13:00:00 +0100

viennarna (2.2.10-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.2.10

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Tue, 06 Sep 2016 15:00:00 +0200

viennarna (2.2.9-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.2.9

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Thu, 01 Sep 2016 11:00:00 +0200

viennarna (2.2.8-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.2.8

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Mon, 01 Aug 2016 12:00:00 +0200

viennarna (2.2.7-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.2.7

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Wed, 29 Jun 2016 15:00:00 +0200

viennarna (2.2.6-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.2.6

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Sun, 19 Jun 2016 13:00:00 +0200

viennarna (2.2.5-2) UNRELEASED; urgency=low

  * Include Python3 bindings to RNAlib

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Mon, 11 Apr 2016 18:00:00 +0200

viennarna (2.2.5-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.2.5

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Fri, 08 Apr 2016 18:30:00 +0200

viennarna (2.2.4-2) UNRELEASED; urgency=low

  * Fixed python binding install directory

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Mon, 21 Feb 2016 17:00:00 +0100

viennarna (2.2.4-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.2.4

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Fri, 19 Feb 2016 21:30:00 +0100

viennarna (2.2.3-2) UNRELEASED; urgency=low

  * Small fix for motif anntoation in upper part of dot-plot

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Tue, 16 Feb 2016 10:24:12 +0100

viennarna (2.2.3-1) UNRELEASED; urgency=low

  * Bump to upstream release 2.2.3

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Sat, 13 Feb 2016 18:47:12 +0100

viennarna (2.2.2-1) UNRELEASED; urgency=low

  * Bugfix for RNAcofold --noLP issue

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Mon, 08 Feb 2016 18:37:12 +0100

viennarna (2.2.1-2) UNRELEASED; urgency=low

  * Split packages into core, development files, and scripting language interfaces
  * Renamed package from vienna-rna to viennarna

 -- Ronny Lorenz <ronny@tbi.univie.ac.at>  Mon, 08 Feb 2016 11:58:12 +0100

=== packaging/debian/control ===
Source: viennarna
Maintainer: Ronny Lorenz <ronny@tbi.univie.ac.at>
Section: science
Priority: optional
Standards-Version: 3.9.5
X-Python-Version: >= 2.7
Build-Depends: debhelper (>= 9), pkg-config, libgsl0-dev | libgsl-dev, libmpfr-dev, gawk, perl, libperl-dev, python-all, python-all-dev, python3-all, python3-all-dev, dh-python, lsb-release

Package: viennarna
Architecture: any
Depends: libgomp1 (>= 4.4.5-1), libgsl0ldbl | libgsl2 | libgsl23, libmpfr4 | libmpfr6, ${shlibs:Depends}, ${misc:Depends}
Replaces: vienna-rna (<< 2.2.1-2)
Breaks: vienna-rna (<< 2.2.1-2)
Recommends: python-rna, perl-rna
Description: Vienna RNA Package - Core
 The Vienna RNA Package Core consists of several executable
 programs and various scripts for the prediction and comparison
 of RNA secondary structures.

Package: viennarna-dev
Section: devel
Architecture: any
Conflicts: vienna-rna (<< 2.2.1-2)
Depends: ${misc:Depends}, ${shlibs:Depends}, libgsl0-dev | libgsl-dev, libmpfr-dev
Description: ViennaRNA Package - RNAlib Development files
 Header files and static RNAlib C-library of the ViennaRNA Package

Package: viennarna-doc
Section: doc
Architecture: all
Conflicts: vienna-rna (<< 2.2.1-2)
Description: ViennaRNA Package - RNAlib Reference Manual
 Reference Manual for RNAlib C-library in PDF and HTML format

Package: python-rna
Section: python
Architecture: any
Conflicts: vienna-rna (<< 2.2.1-2)
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, python
Description: Python 2 bindings to ViennaRNA RNAlib
 The RNA class to access RNAlib C-library functions from
 within Python 2 scripts

Package: python3-rna
Section: python
Architecture: any
Conflicts: vienna-rna (<< 2.2.1-2)
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, python3
Description: Python 3 bindings to ViennaRNA RNAlib
 The RNA class to access RNAlib C-library functions from
 within Python 3 scripts

Package: perl-rna
Section: perl
Architecture: any
Conflicts: vienna-rna (<< 2.2.1-2)
Depends: ${perl:Depends}, ${misc:Depends}, ${shlibs:Depends}, perl
Description: Perl bindings to ViennaRNA RNAlib
 The RNA module to access RNAlib C-library functions from
 within Perl scripts
